<?php

namespace Drupal\prometheusio_exporter_test\Plugin\MetricsCollector;

use Drupal\prometheusio_exporter\Plugin\BasePluginMetricsCollector;

/**
 * Dummy plugin for testing purposes.
 *
 * @MetricsCollector(
 *   id = "test",
 *   title = @Translation("Test Collector"),
 *   description = @Translation("A test collector.")
 * )
 */
class TestCollector extends BasePluginMetricsCollector {

  /**
   * {@inheritdoc}
   */
  public function executeMetrics() {
    $namespace_name_help = [
      $this->getNamespace(),
      'total',
      $this->getDescription(),
    ];
    $this->promBridge->getGauge(...$namespace_name_help, ...[['foo']])->set(1234, ['bar']);
    $this->promBridge->getGauge(...$namespace_name_help, ...[['baz']])->set(5678, ['wiz']);
  }

}
